UpdateIdentityProvider
Updates an identity provider.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
identity-providers
UpdateIdentityProvider
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/identity-providers \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"propagate": true,
"spec": {
"saml_provider": {
"attribute_names": [
"<string>"
],
"certificates": [
"<string>"
],
"issuer": "<string>",
"provider_metadata_url": "<string>",
"sso_url": "<string>"
}
},
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/identity-providers"
payload = {
"object": {
"propagate": True,
"spec": { "saml_provider": {
"attribute_names": ["<string>"],
"certificates": ["<string>"],
"issuer": "<string>",
"provider_metadata_url": "<string>",
"sso_url": "<string>"
} },
"tenant_meta": {}
},
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
object: {
propagate: true,
spec: {
saml_provider: {
attribute_names: ['<string>'],
certificates: ['<string>'],
issuer: '<string>',
provider_metadata_url: '<string>',
sso_url: '<string>'
}
},
tenant_meta: {}
},
request: {force: true, update_mask: '<string>'}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"oidc_provider": {
"discover_url": "<string>",
"key": "<string>",
"secret": "<string>",
"claim_names": [
"<string>"
],
"scopes": [
"<string>"
]
},
"saml_provider": {
"attribute_names": [
"<string>"
],
"certificates": [
"<string>"
],
"issuer": "<string>",
"provider_metadata_url": "<string>",
"sso_url": "<string>"
}
},
"propagate": true,
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
application/json
Response
A successful response.
Represents an identity provider.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Propagate indicates that the object should be visible in child namespaces.
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of an identify provider.
Was this page helpful?
⌘I
UpdateIdentityProvider
